<?php
/**
 * @package    Cfquote
 *
 * @author     Carlos Cámara <carlos@hepta.es>
 * @copyright  2020 Hepta Technologies SL.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.hepta.es
 */


defined('_JEXEC') or die;

use Joomla\CMS\Application\CMSApplication;
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Factory;

JLoader::import('components.com_fields.libraries.fieldsplugin', JPATH_ADMINISTRATOR);

/**
 * Cfquote Field plugin.
 * @package   Cfquote
 * @since     1.0.0
 */
class PlgFieldsCfquote extends FieldsPlugin
{

	/**
	 * Get Field Value
	 * @return value
	 **/
	protected function getFieldValue()
	{
		$app = Factory::getApplication();

		$value = $app->getUserStateFromRequest("cfquote.cfquote_account", 'cfquote_account', '');

		return $value;
	}
}
