<?php
/**
 *
 * @package    Cfquote
 *
 * @author     Carlos Cámara <carlos@hepta.es>
 * @copyright  2020 Hepta Technologies SL.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.hepta.es
 */

defined('_JEXEC') or die;

jimport('joomla.form.helper');
jimport('joomla.form.formfield');

JFormHelper::loadFieldClass('subform');

/**
 * Field definition
 * @since 1.0
 */
class JFormFieldCfquote extends JFormFieldSubform
{
	/**
	 * @var type
	 */
	protected $type = "cfquote";

	/**
	 * Setup function
	 * @param	SimpleXMLElement	$element	XML field definition
	 * @param	string				$value		Value of the field
	 * @param	String 				$group		Group of the field element
	 * @return	object;
	 **/
	public function setup(SimpleXMLElement $element, $value, $group = null)
	{
		$element['formsource'] = 'plugins/fields/cfquote/fields/subforms/cfquote.xml';

		return parent::setup($element, $value, $group);
	}
}
